Welcome to the first assignment for DD1337!

### Read the course instructions!
Before you start working on this assignment, please read through the
**[course instructions](https://gits-15.sys.kth.se/inda-19/course-instructions)**
carefully.

**You will need to have read through these to answer exercises 0.x!**

### Deadline
This work should be completed before the exercise on **Friday 6th September**.

### Instructions
For instructions on how to do and submit the assignment, please see the
[assignments section of the course instructions](https://gits-15.sys.kth.se/inda-19/course-instructions#assignments).

### Homework
Please read the first chapter of the course text, _Objects First with Java_.

The 4th, 5th and 6th editions of _Objects first with Java_ are all viable to
use for this course, but reading instructions and exercise numbers are only
provided for the 5th and 6th editions. The 4th edition should mostly correspond
to the 5th edition.

Unless otherwise stated, reading instructions and exercise numbers are the same
for the 5th and 6th editions.

Please commit any written answers to the [`docs`](docs) folder, and commit any
Java code developed to the [`src`](src) folder of your KTH Github repo.
Remember to push to KTH Github.

### Github Task

#### Exercise 0.1
What are the two things you need to do to pass an assignment?

#### Exercise 0.2
When, at the latest, must your assignment be pushed to KTH GitHub? It may be
helpful to use a hypothetical example.

#### Exercise 0.3
What should you do if you know that you are unable to attend an exercise, or
submit the assignments in time?

#### Exercise 0.4
When names/headers of classes and methods are given, should you use them
exactly as they are given? Why or why not? Do uppercase and lowercase
letters matter?

#### Exercise 0.5
Is it okay to copy solutions from another student, if you do it just once in a
while?

#### Exercise 0.6
Give two examples of when it is **not** okay to copy code from the internet.

#### Exercise 1.31
What are the types of the following values?

- 0
- "hello"
- 101
- -1
- true
- "33"
- 3.1415

#### Exercise 1.32
What would you have to do to add a new field, for example one called `name`, to
a `Circle` object?

#### Exercise 1.33
Write the signature for a method named `send` that has one parameter of type
`String`, and does not return a value.

> **Assistant's note:** If you feel confused about what a method signature
> should look like, you are not alone, because the authors of _Objects First
> with Java_ are too! In the 5th edition, the definition on page 7 is
> **incorrect**. This has been fixed in the 6th edition, but they have left out
> a concrete example and mix it up again later in the book. For the correct
> definition with example, see
> [Defining Methods](https://docs.oracle.com/javase/tutorial/java/javaOO/methods.html)
> from Oracle's Java documentation. Both versions will be accepted, but do note
> that it is the one from the Oracle documentation that is actually correct.

#### Exercise 1.34
Write the signature for a method named `average` that has two parameters, both
of type `int`, and returns an `int` value.
